Subject: Weekly github digest (HTTP Activity Summary)

From: Repository Activity Summary Bot <[email-masked]>
Date: Sun, 03 Apr 2022 07:38:55 +0000

Events without label "editorial"

Issues
------
* httpwg/http-core (+1/-0/💬0)
  1 issues created:
  - Pragma status (by mnot)
    https://github.com/httpwg/http-core/issues/1047 [caching] [auth48] 

* httpwg/http-extensions (+4/-18/💬41)
  4 issues created:
  - HTTP1.1 and older (by LPardue)
    https://github.com/httpwg/http-extensions/issues/2048 [priorities] [auth48] 
  - Payload of incremental responses are used in parts, or chunks,... (by LPardue)
    https://github.com/httpwg/http-extensions/issues/2047 [priorities] [auth48] 
  - RFC6265bis: Attributes should specify how missing/invalid values should be handled (by sbingler)
    https://github.com/httpwg/http-extensions/issues/2046 [6265bis] 
  - hop-by-hop / end-to-end -> hop by hop / end to end (by LPardue)
    https://github.com/httpwg/http-extensions/issues/2045 [priorities] [auth48] 

  23 issues received 41 new comments:
  - #2045 hop-by-hop / end-to-end -> hop by hop / end to end (7 by LPardue, mnot)
    https://github.com/httpwg/http-extensions/issues/2045 [priorities] [auth48] 
  - #2042 Digest headers - Add changes since 07 (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2042 [digest-headers] 
  - #2020 Terminology (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2020 [priorities] [auth48] 
  - #2019 RFC Editor Comment (2 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2019 [priorities] [auth48] 
  - #2018 Acknowledgements (2 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2018 [priorities] [auth48] 
  - #2017 Section 16 IANA Considerations (2 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2017 [priorities] [auth48] 
  - #2016 Section 14 (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2016 [priorities] [auth48] 
  - #2015 Section 13.2 (2 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2015 [priorities] [auth48] 
  - #2014 Section 13.1 (3 by LPardue, mnot)
    https://github.com/httpwg/http-extensions/issues/2014 [priorities] [auth48] 
  - #2013 Section 13.1 (2 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2013 [priorities] [auth48] 
  - #2012 Section 13.1 (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2012 [priorities] [auth48] 
  - #2011 Section 13 (3 by LPardue, MikeBishop)
    https://github.com/httpwg/http-extensions/issues/2011 [priorities] [auth48] 
  - #2010 Section 11 (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2010 [priorities] [auth48] 
  - #2009 Section 7.1 (3 by LPardue, MikeBishop)
    https://github.com/httpwg/http-extensions/issues/2009 [priorities] [auth48] 
  - #2008 Section 7.1 (2 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2008 [priorities] [auth48] 
  - #2006 Section 4.3.1 (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2006 [priorities] [auth48] 
  - #2005 Sections 4.3.1 and 16 (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2005 [priorities] [auth48] 
  - #2004 RFC Editor Comment (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2004 [priorities] [auth48] 
  - #2003 Section 4 (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2003 [priorities] [auth48] 
  - #2002 RFC Editor Comment (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2002 [priorities] [auth48] 
  - #2001 RFC Editor Comment (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/2001 [priorities] [auth48] 
  - #1988 Check syntactic mismatches (1 by jricher)
    https://github.com/httpwg/http-extensions/issues/1988 [retrofit] 
  - #1987 Cover more fields (1 by mnot)
    https://github.com/httpwg/http-extensions/issues/1987 [retrofit] 

  18 issues closed:
  - Section 14 https://github.com/httpwg/http-extensions/issues/2016 [priorities] [auth48] 
  - Section 13.2 https://github.com/httpwg/http-extensions/issues/2015 [priorities] [auth48] 
  - Section 13.1 https://github.com/httpwg/http-extensions/issues/2014 [priorities] [auth48] 
  - Section 13.1 https://github.com/httpwg/http-extensions/issues/2013 [priorities] [auth48] 
  - Section 13.1 https://github.com/httpwg/http-extensions/issues/2012 [priorities] [auth48] 
  - Section 11 https://github.com/httpwg/http-extensions/issues/2010 [priorities] [auth48] 
  - Section 7.1 https://github.com/httpwg/http-extensions/issues/2008 [priorities] [auth48] 
  - Section 16 IANA Considerations https://github.com/httpwg/http-extensions/issues/2017 [priorities] [auth48] 
  - RFC Editor Comment https://github.com/httpwg/http-extensions/issues/2019 [priorities] [auth48] 
  - Sections 4.3.1 and 16 https://github.com/httpwg/http-extensions/issues/2005 [priorities] [auth48] 
  - Acknowledgements https://github.com/httpwg/http-extensions/issues/2018 [priorities] [auth48] 
  - Section 7.1 https://github.com/httpwg/http-extensions/issues/2009 [priorities] [auth48] 
  - RFC Editor Comment https://github.com/httpwg/http-extensions/issues/2004 [priorities] [auth48] 
  - HTTP1.1 and older https://github.com/httpwg/http-extensions/issues/2048 [priorities] [auth48] 
  - RFC Editor Comment https://github.com/httpwg/http-extensions/issues/2001 [priorities] [auth48] 
  - Terminology https://github.com/httpwg/http-extensions/issues/2020 [priorities] [auth48] 
  - hop-by-hop / end-to-end -> hop by hop / end to end https://github.com/httpwg/http-extensions/issues/2045 [priorities] [auth48] 
  - Client scheduling applies to what message? https://github.com/httpwg/http-extensions/issues/1868 [priorities] 

* httpwg/http2-spec (+0/-1/💬0)
  1 issues closed:
  - RFC Editor comment 35 https://github.com/httpwg/http2-spec/issues/1071 [auth48] 

Pull requests
-------------
* httpwg/http-extensions (+9/-9/💬4)
  9 pull requests submitted:
  - align refs with HTTP style (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2057 
  - Add priority keywords (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2056 
  - HTTP/1.1(and older) (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2055 
  - Frame defs and examples are art (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2054 
  - State even more clearly intermediary unfairness (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2053 
  - streams carry requests, not methods (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2052 [priorities] [auth48] 
  - add clarifying statements about stream state outcomes (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2051 
  - IANA considerations style fixups (by LPardue)
    https://github.com/httpwg/http-extensions/pull/2050 
  - message-signatures: fix Content-Digest sha-512 digest on response (by bobby-stripe)
    https://github.com/httpwg/http-extensions/pull/2049 

  1 pull requests received 4 new comments:
  - #2049 message-signatures: fix Content-Digest sha-512 digest on response (4 by bobby-stripe, jricher, yaronf)
    https://github.com/httpwg/http-extensions/pull/2049 [signatures] 

  9 pull requests merged:
  - add clarifying statements about stream state outcomes
    https://github.com/httpwg/http-extensions/pull/2051 
  - Frame defs and examples are art
    https://github.com/httpwg/http-extensions/pull/2054 
  - HTTP/1.1(and older)
    https://github.com/httpwg/http-extensions/pull/2055 
  - Add priority keywords
    https://github.com/httpwg/http-extensions/pull/2056 
  - streams carry requests, not methods
    https://github.com/httpwg/http-extensions/pull/2052 [priorities] [auth48] 
  - IANA considerations style fixups
    https://github.com/httpwg/http-extensions/pull/2050 [priorities] [auth48] 
  - priority: update author name
    https://github.com/httpwg/http-extensions/pull/1978 [priorities] [auth48] 
  - message-signatures: fix Content-Digest sha-512 digest on response
    https://github.com/httpwg/http-extensions/pull/2049 [signatures] 
  - uncontroversial AUTH48
    https://github.com/httpwg/http-extensions/pull/2044 [priorities] [auth48] 

* httpwg/http2-spec (+2/-2/💬1)
  2 pull requests submitted:
  - XML changes (by martinthomson)
    https://github.com/httpwg/http2-spec/pull/1103 
  - Run the tool I used to clean RFC 9000 on this one (by martinthomson)
    https://github.com/httpwg/http2-spec/pull/1102 

  1 pull requests received 1 new comments:
  - #1103 XML changes (1 by martinthomson)
    https://github.com/httpwg/http2-spec/pull/1103 

  2 pull requests merged:
  - Run the tool I used to clean RFC 9000 on this one
    https://github.com/httpwg/http2-spec/pull/1102 
  - XML changes
    https://github.com/httpwg/http2-spec/pull/1103 

Repositories tracked by this digest:
-----------------------------------
* https://github.com/httpwg/http-core
* https://github.com/httpwg/http-extensions
* https://github.com/httpwg/http2-spec